diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-operating-channel-test.cc ns-3.44/src/wifi/test/wifi-operating-channel-test.cc
--- ns-3.43/src/wifi/test/wifi-operating-channel-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-operating-channel-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -26,10 +26,10 @@
 NS_LOG_COMPONENT_DEFINE("WifiOperatingChannelTest");
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test the WifiPhyOperatingChannel::Set() method.
+ * @brief Test the WifiPhyOperatingChannel::Set() method.
  */
 class SetWifiOperatingChannelTest : public TestCase
 {
@@ -45,13 +45,13 @@
 
     /**
      * Run one function.
-     * \param runInfo the string that indicates info about the test case to run
-     * \param segments the info about each frequency segment to set for the operating channel
-     * \param standard the 802.11 standard to consider for the test
-     * \param band the PHY band to consider for the test
-     * \param expectExceptionThrown flag to indicate whether an exception is expected to be thrown
-     * \param expectedWidth the expected width type of the operating channel
-     * \param expectedSegments the info about the expected frequency segments of the operating
+     * @param runInfo the string that indicates info about the test case to run
+     * @param segments the info about each frequency segment to set for the operating channel
+     * @param standard the 802.11 standard to consider for the test
+     * @param band the PHY band to consider for the test
+     * @param expectExceptionThrown flag to indicate whether an exception is expected to be thrown
+     * @param expectedWidth the expected width type of the operating channel
+     * @param expectedSegments the info about the expected frequency segments of the operating
      * channel
      */
     void RunOne(const std::string& runInfo,
@@ -134,92 +134,99 @@
            true);
 
     RunOne("default 20 MHz OFDM channel operating on channel 36",
-           {{36, 0, 20, WIFI_PHY_BAND_5GHZ}},
+           {{36, MHz_u{0}, MHz_u{20}, WIFI_PHY_BAND_5GHZ}},
            WIFI_STANDARD_UNSPECIFIED,
            WIFI_PHY_BAND_UNSPECIFIED,
            false,
            WifiChannelWidthType::CW_20MHZ,
-           {{36, 5180, 20, WIFI_PHY_BAND_5GHZ, FrequencyChannelType::OFDM}});
+           {{36, MHz_u{5180}, MHz_u{20}, WIFI_PHY_BAND_5GHZ, FrequencyChannelType::OFDM}});
 
     RunOne("default 40 MHz OFDM channel operating on channel 38",
-           {{38, 0, 40, WIFI_PHY_BAND_5GHZ}},
+           {{38, MHz_u{0}, MHz_u{40}, WIFI_PHY_BAND_5GHZ}},
            WIFI_STANDARD_UNSPECIFIED,
            WIFI_PHY_BAND_UNSPECIFIED,
            false,
            WifiChannelWidthType::CW_40MHZ,
-           {{38, 5190, 40, WIFI_PHY_BAND_5GHZ, FrequencyChannelType::OFDM}});
+           {{38, MHz_u{5190}, MHz_u{40}, WIFI_PHY_BAND_5GHZ, FrequencyChannelType::OFDM}});
 
     RunOne("default 80 MHz OFDM channel operating on channel 42",
-           {{42, 0, 80, WIFI_PHY_BAND_5GHZ}},
+           {{42, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            WIFI_STANDARD_UNSPECIFIED,
            WIFI_PHY_BAND_UNSPECIFIED,
            false,
            WifiChannelWidthType::CW_80MHZ,
-           {{42, 5210, 80, WIFI_PHY_BAND_5GHZ, FrequencyChannelType::OFDM}});
+           {{42, MHz_u{5210}, MHz_u{80}, WIFI_PHY_BAND_5GHZ, FrequencyChannelType::OFDM}});
 
     RunOne("default 160 MHz (contiguous) OFDM channel operating on channel 50",
-           {{50, 0, 160, WIFI_PHY_BAND_5GHZ}},
+           {{50, MHz_u{0}, MHz_u{160}, WIFI_PHY_BAND_5GHZ}},
            WIFI_STANDARD_UNSPECIFIED,
            WIFI_PHY_BAND_UNSPECIFIED,
            false,
            WifiChannelWidthType::CW_160MHZ,
-           {{50, 5250, 160, WIFI_PHY_BAND_5GHZ, FrequencyChannelType::OFDM}});
+           {{50, MHz_u{5250}, MHz_u{160}, WIFI_PHY_BAND_5GHZ, FrequencyChannelType::OFDM}});
 
     RunOne("valid 80+80 MHz (non-contiguous) OFDM channel operating on channels 42 and 106",
-           {{42, 0, 80, WIFI_PHY_BAND_5GHZ}, {106, 0, 80, WIFI_PHY_BAND_5GHZ}},
+           {{42, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_5GHZ},
+            {106, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            WIFI_STANDARD_UNSPECIFIED,
            WIFI_PHY_BAND_UNSPECIFIED,
            false,
            WifiChannelWidthType::CW_80_PLUS_80MHZ,
-           {{42, 5210, 80, WIFI_PHY_BAND_5GHZ, FrequencyChannelType::OFDM},
-            {106, 5530, 80, WIFI_PHY_BAND_5GHZ, FrequencyChannelType::OFDM}});
+           {{42, MHz_u{5210}, MHz_u{80}, WIFI_PHY_BAND_5GHZ, FrequencyChannelType::OFDM},
+            {106, MHz_u{5530}, MHz_u{80}, WIFI_PHY_BAND_5GHZ, FrequencyChannelType::OFDM}});
 
     RunOne("invalid 80+80 MHz (non-contiguous) OFDM channel higher channel not being 80 MHz",
-           {{42, 0, 80, WIFI_PHY_BAND_5GHZ}, {102, 0, 80, WIFI_PHY_BAND_5GHZ}},
+           {{42, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_5GHZ},
+            {102, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            WIFI_STANDARD_UNSPECIFIED,
            WIFI_PHY_BAND_UNSPECIFIED,
            true);
 
     RunOne("invalid 80+80 MHz (non-contiguous) OFDM channel lower channel not being 80 MHz",
-           {{36, 0, 20, WIFI_PHY_BAND_5GHZ}, {106, 0, 80, WIFI_PHY_BAND_5GHZ}},
+           {{36, MHz_u{0}, MHz_u{20}, WIFI_PHY_BAND_5GHZ},
+            {106, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            WIFI_STANDARD_UNSPECIFIED,
            WIFI_PHY_BAND_UNSPECIFIED,
            true);
 
     RunOne("invalid 80+80 MHz (non-contiguous) OFDM channel with both segments configured on the "
            "same channel",
-           {{42, 0, 80, WIFI_PHY_BAND_5GHZ}, {42, 0, 80, WIFI_PHY_BAND_5GHZ}},
+           {{42, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_5GHZ},
+            {42, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            WIFI_STANDARD_UNSPECIFIED,
            WIFI_PHY_BAND_UNSPECIFIED,
            true);
 
     RunOne("invalid 80+80 MHz (non-contiguous) OFDM channel with segments configured to be "
            "contiguous (lower before higher)",
-           {{42, 0, 80, WIFI_PHY_BAND_5GHZ}, {58, 0, 80, WIFI_PHY_BAND_5GHZ}},
+           {{42, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_5GHZ},
+            {58, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            WIFI_STANDARD_UNSPECIFIED,
            WIFI_PHY_BAND_UNSPECIFIED,
            true);
 
     RunOne("invalid 80+80 MHz (non-contiguous) OFDM channel with segments configured to be "
            "contiguous (higher before lower)",
-           {{58, 0, 80, WIFI_PHY_BAND_5GHZ}, {42, 0, 80, WIFI_PHY_BAND_5GHZ}},
+           {{58, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_5GHZ},
+            {42, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            WIFI_STANDARD_UNSPECIFIED,
            WIFI_PHY_BAND_UNSPECIFIED,
            true);
 
     RunOne("invalid 80+80 MHz (non-contiguous) OFDM channel with each segments configured on a "
            "different band",
-           {{42, 0, 80, WIFI_PHY_BAND_5GHZ}, {215, 0, 80, WIFI_PHY_BAND_6GHZ}},
+           {{42, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_5GHZ},
+            {215, MHz_u{0}, MHz_u{80}, WIFI_PHY_BAND_6GHZ}},
            WIFI_STANDARD_UNSPECIFIED,
            WIFI_PHY_BAND_UNSPECIFIED,
            true);
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test the conversion from PHY ChannelSettings attribute to WifiPhyOperatingChannel.
+ * @brief Test the conversion from PHY ChannelSettings attribute to WifiPhyOperatingChannel.
  */
 class PhyChannelSettingsToOperatingChannelTest : public TestCase
 {
@@ -237,10 +244,10 @@
 
     /**
      * Run one function.
-     * \param channelSettings the string to set the ChannelSettings attribute
-     * \param expectedWidthType the expected width type of the operating channel
-     * \param expectedSegments the info about each expected segment of the operating channel
-     * \param expectedP20Index the expected index of the P20
+     * @param channelSettings the string to set the ChannelSettings attribute
+     * @param expectedWidthType the expected width type of the operating channel
+     * @param expectedSegments the info about each expected segment of the operating channel
+     * @param expectedP20Index the expected index of the P20
      */
     void RunOne(const std::string& channelSettings,
                 WifiChannelWidthType expectedWidthType,
@@ -340,7 +347,7 @@
                                   << channelSettings);
     }
 
-    NS_TEST_ASSERT_MSG_EQ(m_phy->GetOperatingChannel().GetPrimaryChannelIndex(20),
+    NS_TEST_ASSERT_MSG_EQ(m_phy->GetOperatingChannel().GetPrimaryChannelIndex(MHz_u{20}),
                           expectedP20Index,
                           "Operating channel has an incorrect P20 index for channel settings "
                               << channelSettings);
@@ -355,19 +362,21 @@
     // Test default with a single frequency segment
     RunOne("{0, 0, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_80MHZ,
-           {{42, 5210, 80, WIFI_PHY_BAND_5GHZ}},
+           {{42, MHz_u{5210}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            0);
 
     // Test default with two frequency segments unspecified
     RunOne("{0, 0, BAND_UNSPECIFIED, 0};{0, 0, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_80_PLUS_80MHZ,
-           {{42, 5210, 80, WIFI_PHY_BAND_5GHZ}, {106, 5530, 80, WIFI_PHY_BAND_5GHZ}},
+           {{42, MHz_u{5210}, MHz_u{80}, WIFI_PHY_BAND_5GHZ},
+            {106, MHz_u{5530}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            0);
 
     // Test default with two frequency segments and first is specified (but equals default)
     RunOne("{42, 0, BAND_UNSPECIFIED, 0};{0, 0, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_80_PLUS_80MHZ,
-           {{42, 5210, 80, WIFI_PHY_BAND_5GHZ}, {106, 5530, 80, WIFI_PHY_BAND_5GHZ}},
+           {{42, MHz_u{5210}, MHz_u{80}, WIFI_PHY_BAND_5GHZ},
+            {106, MHz_u{5530}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            0);
 
     // Test default with second segment specified to be at the first available 80 MHz segment
@@ -379,81 +388,85 @@
     // Test default with two frequency segments and first is specified (and differs from default)
     RunOne("{106, 0, BAND_UNSPECIFIED, 0};{0, 0, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_80_PLUS_80MHZ,
-           {{106, 5530, 80, WIFI_PHY_BAND_5GHZ}, {138, 5690, 80, WIFI_PHY_BAND_5GHZ}},
+           {{106, MHz_u{5530}, MHz_u{80}, WIFI_PHY_BAND_5GHZ},
+            {138, MHz_u{5690}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            0);
 
     // Test unique channel 36 (20 MHz)
     RunOne("{36, 0, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_20MHZ,
-           {{36, 5180, 20, WIFI_PHY_BAND_5GHZ}},
+           {{36, MHz_u{5180}, MHz_u{20}, WIFI_PHY_BAND_5GHZ}},
            0);
 
     // Test unique channel 38 (40 MHz)
     RunOne("{38, 0, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_40MHZ,
-           {{38, 5190, 40, WIFI_PHY_BAND_5GHZ}},
+           {{38, MHz_u{5190}, MHz_u{40}, WIFI_PHY_BAND_5GHZ}},
            0);
 
     // Test unique channel 42 (80 MHz)
     RunOne("{42, 0, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_80MHZ,
-           {{42, 5210, 80, WIFI_PHY_BAND_5GHZ}},
+           {{42, MHz_u{5210}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            0);
 
     // Test unique channel 50 (160 MHz)
     RunOne("{50, 0, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_160MHZ,
-           {{50, 5250, 160, WIFI_PHY_BAND_5GHZ}},
+           {{50, MHz_u{5250}, MHz_u{160}, WIFI_PHY_BAND_5GHZ}},
            0);
 
     // Test 80+80 MHz
     RunOne("{42, 0, BAND_UNSPECIFIED, 0};{106, 0, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_80_PLUS_80MHZ,
-           {{42, 5210, 80, WIFI_PHY_BAND_5GHZ}, {106, 5530, 80, WIFI_PHY_BAND_5GHZ}},
+           {{42, MHz_u{5210}, MHz_u{80}, WIFI_PHY_BAND_5GHZ},
+            {106, MHz_u{5530}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            0);
 
     // Test P20 for 80+80 MHz: second value shall be ignored
     RunOne("{42, 0, BAND_UNSPECIFIED, 1};{106, 0, BAND_UNSPECIFIED, 2}",
            WifiChannelWidthType::CW_80_PLUS_80MHZ,
-           {{42, 5210, 80, WIFI_PHY_BAND_5GHZ}, {106, 5530, 80, WIFI_PHY_BAND_5GHZ}},
+           {{42, MHz_u{5210}, MHz_u{80}, WIFI_PHY_BAND_5GHZ},
+            {106, MHz_u{5530}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            1);
 
     // Test default 20 MHz channel
     RunOne("{0, 20, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_20MHZ,
-           {{36, 5180, 20, WIFI_PHY_BAND_5GHZ}},
+           {{36, MHz_u{5180}, MHz_u{20}, WIFI_PHY_BAND_5GHZ}},
            0);
 
     // Test default 40 MHz channel
     RunOne("{0, 40, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_40MHZ,
-           {{38, 5190, 40, WIFI_PHY_BAND_5GHZ}},
+           {{38, MHz_u{5190}, MHz_u{40}, WIFI_PHY_BAND_5GHZ}},
            0);
 
     // Test default 80 MHz channel
     RunOne("{0, 80, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_80MHZ,
-           {{42, 5210, 80, WIFI_PHY_BAND_5GHZ}},
+           {{42, MHz_u{5210}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            0);
 
     // Test default 160 MHz channel
     RunOne("{0, 160, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_160MHZ,
-           {{50, 5250, 160, WIFI_PHY_BAND_5GHZ}},
+           {{50, MHz_u{5250}, MHz_u{160}, WIFI_PHY_BAND_5GHZ}},
            0);
 
     // Test default 80+80 MHz channel
     RunOne("{0, 80, BAND_UNSPECIFIED, 0};{0, 80, BAND_UNSPECIFIED, 0}",
            WifiChannelWidthType::CW_80_PLUS_80MHZ,
-           {{42, 5210, 80, WIFI_PHY_BAND_5GHZ}, {106, 5530, 80, WIFI_PHY_BAND_5GHZ}},
+           {{42, MHz_u{5210}, MHz_u{80}, WIFI_PHY_BAND_5GHZ},
+            {106, MHz_u{5530}, MHz_u{80}, WIFI_PHY_BAND_5GHZ}},
            0);
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test the operating channel functions for 80+80MHz.
+ * @brief Test the operating channel functions for 80+80MHz.
  */
 class WifiPhyChannel80Plus80Test : public TestCase
 {
@@ -469,15 +482,15 @@
 
     /**
      * Create a dummy PSDU whose payload is 1000 bytes
-     * \return a dummy PSDU whose payload is 1000 bytes
+     * @return a dummy PSDU whose payload is 1000 bytes
      */
     Ptr<WifiPsdu> CreateDummyPsdu();
 
     /**
      * Create a HE PPDU
-     * \param bandwidth the bandwidth used for the transmission the PPDU
-     * \param channel the operating channel of the PHY used for the transmission
-     * \return a HE PPDU
+     * @param bandwidth the bandwidth used for the transmission the PPDU
+     * @param channel the operating channel of the PHY used for the transmission
+     * @return a HE PPDU
      */
     Ptr<HePpdu> CreateDummyHePpdu(MHz_u bandwidth, const WifiPhyOperatingChannel& channel);
 
